Bug 122141 - rpm segmentation fault on j2sdk-1_4_2_04-linux-i586.rpm
rpm segmentation fault on j2sdk-1_4_2_04-linux-i586.rpm
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-30 16:30 EDT by Ty
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-04 13:02:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ty 2004-04-30 16:30:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6)
Gecko/20040113

Description of problem:
I am getting a segmentation fault while attempting to install java sdk
1.4.  This is occurring with kernel 2.4.22-1.2188.nptl and
2.4.22-1.2188.nptlsmp.  The problem did not occur with the kernel
shipped in the Fedora Core 1 iso (2.4.22-1.2115.nptl and
2.4.22-1.2115.nptlsmp).

The server has a dual Xeon 3.2GHz.



Version-Release number of selected component (if applicable):
rpm-4.2.1-0.30

How reproducible:
Always

Steps to Reproduce:
1. rpm -iv j2sdk-1_4_2_04-linux-i586.rpm


Actual Results:  Preparing packages for installation...
Segmentation fault

Expected Results:  Package should have installed.

Additional info:
Comment 1 Jeff Johnson 2004-05-04 09:36:53 EDT
Can you attach the output of rpm -Uvv here?
Comment 2 Ty 2004-05-04 13:02:39 EDT
Well, it seems to be working now.  I'm not sure what changed...

# rpm -Uvv j2sdk-1_4_2_04-linux-i586.rpm
D: ============== j2sdk-1_4_2_04-linux-i586.rpm
D: Expected size:     34694378 = lead(96)+sigs(100)+pad(4)+data(34694178)
D:   Actual size:     34694346
D: j2sdk-1_4_2_04-linux-i586.rpm: MD5 digest: OK
(6cec2077e1c3b60c50bff30979a016de)
D: opening  db environment /var/lib/rpm/Packages joinenv
D: opening  db index       /var/lib/rpm/Packages rdonly mode=0x0
D: locked   db index       /var/lib/rpm/Packages
D: opening  db index       /var/lib/rpm/Providename rdonly mode=0x0
D:  read h#    1471 Header sanity check: OK
D:      added binary package [0]
D: found 0 source and 1 binary packages
D: ========== +++ j2sdk-1.4.2_04-fcs i586-Linux 0x0
D: opening  db index       /var/lib/rpm/Depends create mode=0x0
D: opening  db index       /var/lib/rpm/Pubkeys rdonly mode=0x0
D:  read h#    1462 Header sanity check: OK
D: ========== DSA pubkey id b44269d04f2a6fd2
D:  read h#      10 Header V3 DSA signature: OK, key ID 4f2a6fd2
D:  Requires: glibc >= 2.1.2-11                             YES (db
provides)
D:  read h#      65 Header V3 DSA signature: OK, key ID 4f2a6fd2
D:  Requires: sh-utils >= 2.0-1                             YES (db
provides)
D:  Requires: fileutils >= 4.0-8                            YES (db
provides)
D:  read h#      62 Header V3 DSA signature: OK, key ID 4f2a6fd2
D:  Requires: gawk >= 3.0.4-1                               YES (db
provides)
D:  Requires: textutils >= 2.0-2                            YES (db
provides)
D: opening  db index       /var/lib/rpm/Basenames rdonly mode=0x0
D:  read h#      33 Header V3 DSA signature: OK, key ID 4f2a6fd2
D:  Requires: /bin/sh                                       YES (db files)
D: closed   db index       /var/lib/rpm/Depends
D: ========== recording tsort relations
D: ========== tsorting packages (order, #predecessors, #succesors,
tree, depth)
D:     0    0    0    0    0 +j2sdk-1.4.2_04-fcs
D: installing binary packages
D: closed   db index       /var/lib/rpm/Pubkeys
D: closed   db index       /var/lib/rpm/Providename
D: closed   db index       /var/lib/rpm/Basenames
D: closed   db index       /var/lib/rpm/Packages
D: closed   db environment /var/lib/rpm/Packages
D: opening  db environment /var/lib/rpm/Packages joinenv
D: opening  db index       /var/lib/rpm/Packages create mode=0x42
D: mounted filesystems:
D:     i    dev bsize       bavail       iavail mount point
D:     0 0x0813  4096      2742644      2188188 /
D:     1 0x0002  1024            0           -1 /proc
D:     2 0x0006  1024            0           -1 /dev/pts
D:     3 0x0008  1024            0           -1 /proc/bus/usb
D:     4 0x0811  1024        82921        26052 /boot
D:     5 0x0812  4096      4189789     10256334 /oradata01
D:     6 0x0009  4096       485189       485188 /dev/shm
D: sanity checking 1 elements
D: opening  db index       /var/lib/rpm/Name create mode=0x42
D:  read h#    1471 Header sanity check: OK
D: computing 1741 file fingerprints
Preparing packages for installation...
D: computing file dispositions
D: opening  db index       /var/lib/rpm/Basenames create mode=0x42
        package j2sdk-1.4.2_04-fcs is already installed
D: closed   db index       /var/lib/rpm/Basenames
D: closed   db index       /var/lib/rpm/Name
D: closed   db index       /var/lib/rpm/Packages
D: closed   db environment /var/lib/rpm/Packages

Note You need to log in before you can comment on or make changes to this bug.